> Documentation index for AI agents: https://docs.pagerduty.com/llms.txt

# Webhooks

A webhook is a way to receive events that occur on the PagerDuty platform via an HTTP POST request.
V3 webhooks are set up by creating a webhook subscription.

- [List webhook subscriptions](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/list-webhook-subscriptions.md) — `GET /webhook_subscriptions`
- [Create a webhook subscription](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/create-webhook-subscription.md) — `POST /webhook_subscriptions`
- [Get a webhook subscription](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/get-webhook-subscription.md) — `GET /webhook_subscriptions/{id}`
- [Delete a webhook subscription](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/delete-webhook-subscription.md) — `DELETE /webhook_subscriptions/{id}`
- [Update a webhook subscription](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/update-webhook-subscription.md) — `PUT /webhook_subscriptions/{id}`
- [Enable a webhook subscription](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/enable-webhook-subscription.md) — `POST /webhook_subscriptions/{id}/enable`
- [Test a webhook subscription](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/test-webhook-subscription.md) — `POST /webhook_subscriptions/{id}/ping`
- [List OAuth clients](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/list-oauth-clients.md) — `GET /webhook_subscriptions/oauth_clients`
- [Create an OAuth client](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/create-oauth-client.md) — `POST /webhook_subscriptions/oauth_clients`
- [Get an OAuth client](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/get-oauth-client.md) — `GET /webhook_subscriptions/oauth_clients/{id}`
- [Delete an OAuth client](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/delete-oauth-client.md) — `DELETE /webhook_subscriptions/oauth_clients/{id}`
- [Update an OAuth client](https://docs.pagerduty.com/developer/api/reference/rest/webhooks/update-oauth-client.md) — `PUT /webhook_subscriptions/oauth_clients/{id}`

## Developer Agreement

Your access to and use of the PagerDuty Developer Services is governed by the [PagerDuty Developer Agreement](https://docs.pagerduty.com/developer/pagerduty-developer-agreement).
